# DisplayOrientation

Namespace: **Wisej.Hybrid.Shared.Display**

Assembly: **Wisej.Hybrid** (3.5.0.0)

Represents the orientation a device display can have.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum DisplayOrientation : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum DisplayOrientation As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name          | Description                                 |
| ------------- | ------------------------------------------- |
| **Landscape** | Device display is in landscape orientation. |
| **Portrait**  | Device display is in portrait orientation.  |
| **Unknown**   | Unknown display orientation.                |

## Used By

| Name                                                                                                        | Description                                   |
| ----------------------------------------------------------------------------------------------------------- | --------------------------------------------- |
| [DisplayInfo.Orientation](/hybrid/start/api/display/wisej.hybrid.displayinfo.md#orientation)                | The device display's orientation.             |
| [DisplayInfo.Orientation](/hybrid/start/api/display/wisej.hybrid.shared.display.displayinfo.md#orientation) | Gets the orientation of the device's display. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/hybrid/start/api/display/wisej.hybrid.shared.display.displayorientation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
